MetaData:
  run_name:   nIFTY cluster

# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98841e43    # 10^10 M_sun in grams
  UnitLength_in_cgs:   3.08567758e24 # Mpc in centimeters
  UnitVelocity_in_cgs: 1e5           # km/s in centimeters per second
  UnitCurrent_in_cgs:  1             # Amperes
  UnitTemp_in_cgs:     1             # Kelvin

# Cosmological parameters
Cosmology:
  a_begin:        0.015151515 # z_ini = 65
  a_end:          1.0
  Omega_cdm:      0.2231
  Omega_lambda:   0.73
  Omega_b:        0.0469
  h:              0.7
  
# Parameters governing the time integration
TimeIntegration:
  time_begin: 0.    # The starting time of the simulation (in internal units).
  time_end:   1e-2  # The end time of the simulation (in internal units).
  dt_min:     1e-10 # The minimal time-step size of the simulation (in internal units).
  dt_max:     1e-2  # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            nifty # Common part of the name of output files
  scale_factor_first:  0.05  # Scale-factor of the first snaphot (cosmological run)
  time_first:          0.01  # Time of the first output (non-cosmological run) (in internal units)
  delta_time:          1.01  # Time difference between consecutive outputs (in internal units)

# Parameters governing the conserved quantities statistics
Statistics:
  scale_factor_first:  0.05 # Scale-factor of the first stat dump (cosmological run)
  time_first:          0.01 # Time of the first stat dump (non-cosmological run) (in internal units)
  delta_time:          1.01 # Time between statistics output

# Parameters for the self-gravity scheme
Gravity:
  eta:                           0.025    # Constant dimensionless multiplier for time integration.
  MAC:                           adaptive 
  epsilon_fmm:                   0.001 
  theta_cr:                      0.7      
  use_tree_below_softening:      1
  comoving_DM_softening:         0.02   # Comoving softening length (in internal units).
  comoving_baryon_softening:     0.02   # Comoving softening length (in internal units).
  max_physical_DM_softening:     0.005  # Max physical softening length (in internal units).
  max_physical_baryon_softening: 0.005  # Max physical softening length (in internal units).
  softening_ratio_background:    0.04   # 1/25th of mean inter-particle separation
  mesh_side_length:              512

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2      # ~50 ngb with Wendland-C2 
  h_min_ratio:           0.1      # Minimal smoothing in units of softening.
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  minimal_temperature:   100      # (internal units)

Scheduler:
  max_top_level_cells:  32

# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./nifty.hdf5    # The file to read
  periodic:   1
  cleanup_h_factors: 1               # Remove the h-factors inherited from Gadget
  cleanup_velocity_factors: 1        # Remove the sqrt(a) factor in the velocities inherited from Gadget
  cleanup_smoothing_lenghts: 1
